Request a Wi-Fi status update such as enabling or disabling the functionality or requesting the camera to connect to a certain known network.

Request a Wi-Fi status update, results in a bad request (http status code 400), if the camera doesn't support the given functionality. All successful requests result in a camera job. Currently supported changes (only one at a time):

  • Enable or disable the Wi-Fi functionality of the camera. Done by setting the "enabled" field to either true or false. Job type: "camera.wifi.enableOrDisable".
  • Request the camera to connect to a known network. Done by setting the "ssid" field to the ssid of a network in the list of known networks on the camera (Retrievable with GET /wifi/saved). Job type: "camera.wifi.connectNetwork".
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the camera.

Body Params

Object to be used to change the Wi-Fi state, currently mainly used to disable and enable the Wi-Fi functionality.

boolean

Indicates wether the Wi-Fi functionality of the camera should be enabled (true) or disabled (false)

string

Id of the network as given in SavedWifiNetwork the camera should connect to.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json